Update contactAsk AIpost https://api.bigmailer.io/v1/brands/{brand_id}/contacts/{contact_id}Update a contact. Any parameters not provided are left unchanged.Path Paramsbrand_iduuidrequiredID of the brand to update the contact incontact_idstringrequiredID or email address of the contactQuery Paramsfield_values_opstringenumDefaults to replaceControls how the API uses the supplied field_values object. add - Copy properties in the supplied field_values into the contact's field_values. Supplied field values overwrite contact field values with the same name. Field values not supplied are preserved. replace - Replace the contact's field_values object with the supplied field_values. Field values not supplied are removed from the contact. remove - Remove supplied field_values from the contact's field_values.addremovereplaceAllowed:addremovereplacelist_ids_opstringenumDefaults to replaceControls how the API uses the supplied list_ids array. add - Append supplied list_ids to the contact's existing list_ids array. replace - Replace the contact's list_ids array with the supplied list_ids. remove - Remove supplied list_ids from the contact's existing list_ids array.addremovereplaceAllowed:addremovereplaceunsubscribe_ids_opstringenumDefaults to replaceControls how the API uses the supplied unsubscribe_ids array. add - Append supplied unsubscribe_ids to the contact's existing unsubscribe_ids array. replace - Replace the contact's unsubscribe_ids array with the supplied unsubscribe_ids. remove - Remove supplied unsubscribe_ids from the contact's existing unsubscribe_ids array.addremovereplaceAllowed:addremovereplaceBody Paramsemailstringlength between 1 and 100Email address of the contactfield_valuesarray of objectsField values are saved along with the email as part of the contact. Each name must match the tag name of a field that exists in the brand. Each field value must have exactly one of string, integer, or date.field_valuesADD objectlist_idsarray of uuidsIDs of lists the contact should be added tolist_idsADD uuidunsubscribe_allbooleanSet to true to unsubscribe the contact from all future campaigns, regardless of message type.truetruefalseunsubscribe_idsarray of uuidsIDs of message types the contact should be unsubscribed from.unsubscribe_idsADD uuidResponses 200Contact successfully updated 400The request was invalid. 401The API key does not exist. 403The system understands the request but refuses to authorize it. 404Brand or contact does not exist 422Contact already exists with email 429The client has made too many requests. 500An unexpected error occurred. 502The system is under heavy load or is down temporarily. 503The system is under maintenance. Please try again later. 504The system timed out processing your request.Updated about 2 months ago